Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.datastream
Interface Communicator

All Superinterfaces:
  java.awt.print.Pageable

    public interface Communicator

extends java.awt.print.Pageable

Field Summary
`static int` | `FIND_FROM_CURPAGE`
`static java.lang.String` | `getDataStream`
`static java.lang.String` | `getDbBuffer`
`static java.lang.String` | `getHeaderInfo`
`static java.lang.String` | `getIndexColumn`
`static java.lang.String` | `getIndexPages`
`static java.lang.String` | `getPage`
`static java.lang.String` | `getPageNum`
`static java.lang.String` | `getRecordBlock`
`static java.lang.String` | `getSubIdx`
`static java.lang.String` | `getTemplates`
`static java.lang.String` | `isEngineFinished`

Fields inherited from interface java.awt.print.Pageable
`UNKNOWN_NUMBER_OF_PAGES`

Method Summary
`boolean` | `chartInDirtyPages(int pageNum)`
`void` | `clearMem()` For remove resource that used.
`FindResult` | `findNext(java.lang.String text, int begPage, boolean matchWholeWord, boolean matchCase)` Find the next matched string.
`FindResult` | `findPrev(java.lang.String text, int begPage, boolean matchWholeWord, boolean matchCase)` Find the previous matched string.
`DSLeafGroup[][]` | `getAllGroupBranch(int subidx)` Get all group branch.
`java.io.InputStream` | `getBlob(int subidx, int blobidx, long entry)` Get a blob data.
`java.util.Hashtable` | `getChartSummaryInfo(int subIdx, int templateIdx)`
`RandomInputable` | `getContent()` Get report as a RandomInputable.
`DSDataStreamable` | `getDataStream(DSDataStreamable ds, int branchIdx)`
`DSDataStreamable` | `getDataStream(int subidx)`
`JDbBufferCursor` | `getDbBuffer(int subidx)` Get DbBuffer.
`DirtyFieldInParagraphManager` | `getDirtyFieldInParagraphLayoutManager()`
`DSPage` | `getDrillDownPage(int subidx, int pageIdx, int recordIdx, short templateIndex, int branchIdx)` Get a drill down page (drill down from summary field)
`DSPage` | `getDrillDownPage(int subidx, int pageIdx, int recordIdx, short templateIndex, int branchIdx, int drillSecType, java.lang.String largeGrpValue, java.lang.String smallGrpValue)` Get a drill down page (drill down from chart)
`DSPage` | `getDrillDownPage(int subidx, int pageIdx, int recordIdx, short templateIndex, int branchIdx, int drillSecType, java.lang.String largeGrpValue, java.lang.String smallGrpValue, JRObjectResult obj)` Get a drill down page (drill down from chart) for there may be more than 1 section object in a report in v8 now, so when drill down, we need more infomation to indicate which object is drilling.
`DSPage` | `getDrillDownPage(int subidx, int pageIdx, int recordIdx, short templateIndex, int branchIdx, JRObjectResult obj)` Get a drill down page (drill down from summary field) for section object only now.
`DSTOC` | `getDSTOC()`
`java.lang.String` | `getEncoding()` Gets current encoding.
`DSPage` | `getFastPassPage(int pnum)`
`JFieldValueNLSManager` | `getFieldNLSManager()`
`java.util.Hashtable` | `getFldSummaryInfo(int subIdx, int templateIdx)`
`int` | `getFromEncoding()`
`DSLeafGroup` | `getGroupBranch(int subidx, int leafidx)` Get a group branch by leaf group index.
`ReportHeaderInfo` | `getHeaderInfo(int subidx)` Get Index report header from server.
`java.io.InputStream` | `getIndexColumn(DbColDesc coldesc)` Get the index values of the indexible column.
`java.io.InputStream` | `getIndexColumn(int colIndex)` Get the index values of the indexible column.
`java.io.InputStream` | `getIndexPages(DbValue value)` Get The index of pages by index value from server.
`java.util.Vector` | `getLeafGroupIndexes(int subidx)` Get the group indexes of leafgroups.
`java.util.Vector` | `getLinkComms()`
`Communicator` | `getLinkedComm(int idx)` Return the linked communicator, begin from 1;
`java.lang.String` | `getLinkedInfo(int keyIdx)`
`int` | `getLinkedPage(int keyIdx)`
`java.util.Locale` | `getLocale()` Gets current locale.
`DSPage` | `getPage(int pnum)` Get a specified page from server.
`PageACL` | `getPageACL()`
`int` | `getPageNum()` Get total page number from server.
`java.util.Hashtable` | `getParameterBuffer()`
`java.util.Hashtable` | `getparamsSting()` key is parameter and value is parameter value
`int` | `getPhysicalTotalPageNum()` If there are linked com inside, return the total page number plus the linked report.
`java.io.InputStream` | `getRecordBlock(int recordNum, int subidx)` Get a block of record by a record number.
`int` | `getResolution()` Get the Resolution of the printer.
`int` | `getSubIdx(DSTemplatible template)` Return the sub-report index.
`java.util.Hashtable` | `getTemplates(int subidx)` Get display object model of index report from server.
`java.util.TimeZone` | `getTimeZone()` Gets current time zone.
`int` | `getToEncoding()`
`int` | `getTotalPageNumber(int dsIndex)` return totalpagenumber according to dsIndex.
`int` | `getTotalRecordsOfQuery(int queryID, boolean totalOrFetch)`
`void` | `initFonts()` Init the true type fonts, if there are any.
`boolean` | `isBeStopping()`
`boolean` | `isEngineFinished()` If report engine in server is not finished, this method will return false.
`boolean` | `isFastPass()`
`boolean` | `isFinish()` Indicates whether it is finished.
`boolean` | `isHighPrecision()`
`boolean` | `isMain(int subIdx)`
`boolean` | `isPreDefinedCol()`
`void` | `makeChartDataset(int subIdx, DSChartDataset set)`
`void` | `makeChartStringValue(DSChartDataset set)`
`void` | `setBeStopping(boolean beStopping)`
`void` | `setDirtyFieldInParagraphLayoutManager(DirtyFieldInParagraphManager manager)`
`void` | `setPreDefinedCol(boolean isPreDefinedCol)`
`void` | `setResolution(int res)` Set the Resolution of the printer.
`int` | `sizeOfRecord(int subIdx)`
`boolean` | `totalRecordsNull()`
`void` | `waitFinished()`

Methods inherited from interface java.awt.print.Pageable
`getNumberOfPages, getPageFormat, getPrintable`

Field Detail

### getHeaderInfo

    static final java.lang.String getHeaderInfo

See Also:
  Constant Field Values

### getTemplates

    static final java.lang.String getTemplates

See Also:
  Constant Field Values

### getDbBuffer

    static final java.lang.String getDbBuffer

See Also:
  Constant Field Values

### getDataStream

    static final java.lang.String getDataStream

See Also:
  Constant Field Values

### getPage

    static final java.lang.String getPage

See Also:
  Constant Field Values

### getRecordBlock

    static final java.lang.String getRecordBlock

See Also:
  Constant Field Values

### getIndexColumn

    static final java.lang.String getIndexColumn

See Also:
  Constant Field Values

### getIndexPages

    static final java.lang.String getIndexPages

See Also:
  Constant Field Values

### getPageNum

    static final java.lang.String getPageNum

See Also:
  Constant Field Values

### isEngineFinished

    static final java.lang.String isEngineFinished

See Also:
  Constant Field Values

### getSubIdx

    static final java.lang.String getSubIdx

See Also:
  Constant Field Values

### FIND_FROM_CURPAGE

    static final int FIND_FROM_CURPAGE

See Also:
  Constant Field Values

Method Detail

### getHeaderInfo

    ReportHeaderInfo getHeaderInfo(int subidx)

  Get Index report header from server.

### getTemplates

    java.util.Hashtable getTemplates(int subidx)

  Get display object model of index report from server. The returned hashtable, key is an integer, and the value is an instance of jet.util.PropertySetable.

### getDbBuffer

    JDbBufferCursor getDbBuffer(int subidx)

  Get DbBuffer.

### getDataStream

    DSDataStreamable getDataStream(int subidx)
                                   throws JRStopEngineException

  Throws:
    `JRStopEngineException`

### getDataStream

    DSDataStreamable getDataStream(DSDataStreamable ds,
                                   int branchIdx)

### getPage

    DSPage getPage(int pnum)
                   throws JRStopEngineException

  Get a specified page from server.

  Throws:
    `JRStopEngineException`

### getRecordBlock

    java.io.InputStream getRecordBlock(int recordNum,
                                       int subidx)

  Get a block of record by a record number. Because always the record displayed in viewer will be *continue. This method can get several records that include the specified record.

### getIndexColumn

    java.io.InputStream getIndexColumn(DbColDesc coldesc)

  Get the index values of the indexible column. This method is same as getIndexColumn(int colIndex);

### getIndexColumn

    java.io.InputStream getIndexColumn(int colIndex)

  Get the index values of the indexible column.

### getIndexPages

    java.io.InputStream getIndexPages(DbValue value)

  Get The index of pages by index value from server.

### getPageNum

    int getPageNum()

  Get total page number from server.

### isEngineFinished

    boolean isEngineFinished()

  If report engine in server is not finished, this method will return false.

### getSubIdx

    int getSubIdx(DSTemplatible template)

  Return the sub-report index.

### getGroupBranch

    DSLeafGroup getGroupBranch(int subidx,
                               int leafidx)

  Get a group branch by leaf group index.

### getAllGroupBranch

    DSLeafGroup[][] getAllGroupBranch(int subidx)

  Get all group branch.

### getLeafGroupIndexes

    java.util.Vector getLeafGroupIndexes(int subidx)

  Get the group indexes of leafgroups.

### getDrillDownPage

    DSPage getDrillDownPage(int subidx,
                            int pageIdx,
                            int recordIdx,
                            short templateIndex,
                            int branchIdx)
                            throws JRStopEngineException

  Get a drill down page (drill down from summary field)

  Throws:
    `JRStopEngineException`

### getDrillDownPage

    DSPage getDrillDownPage(int subidx,
                            int pageIdx,
                            int recordIdx,
                            short templateIndex,
                            int branchIdx,
                            JRObjectResult obj)
                            throws JRStopEngineException

  Get a drill down page (drill down from summary field) for section object only now. tanrui 2005_07_05

  Throws:
    `JRStopEngineException`

### getDrillDownPage

    DSPage getDrillDownPage(int subidx,
                            int pageIdx,
                            int recordIdx,
                            short templateIndex,
                            int branchIdx,
                            int drillSecType,
                            java.lang.String largeGrpValue,
                            java.lang.String smallGrpValue)
                            throws JRStopEngineException

  Get a drill down page (drill down from chart)

  Throws:
    `JRStopEngineException`

### getDrillDownPage

    DSPage getDrillDownPage(int subidx,
                            int pageIdx,
                            int recordIdx,
                            short templateIndex,
                            int branchIdx,
                            int drillSecType,
                            java.lang.String largeGrpValue,
                            java.lang.String smallGrpValue,
                            JRObjectResult obj)
                            throws JRStopEngineException

  Get a drill down page (drill down from chart) for there may be more than 1 section object in a report in v8 now, so when drill down, we need more infomation to indicate which object is drilling. tanrui. 2005_12_26

  Throws:
    `JRStopEngineException`

### getBlob

    java.io.InputStream getBlob(int subidx,
                                int blobidx,
                                long entry)

  Get a blob data.

### findNext

    FindResult findNext(java.lang.String text,
                        int begPage,
                        boolean matchWholeWord,
                        boolean matchCase)
                        throws JRStopEngineException

  Find the next matched string.

  Parameters:
    `text` - the target text
    `begPage` - the begine page, if = -1 from current page.
    `matchWholeWord` - match whole word only
    `matchCase` - match case.
  Throws:
    `JRStopEngineException`

### findPrev

    FindResult findPrev(java.lang.String text,
                        int begPage,
                        boolean matchWholeWord,
                        boolean matchCase)

  Find the previous matched string.

  Parameters:
    `text` - the target text
    `begPage` - the begine page, if = -1 from current page.
    `matchWholeWord` - match whole word only
    `matchCase` - match case.

### clearMem

    void clearMem()

  For remove resource that used. Because java bug.

### getContent

    RandomInputable getContent()

  Get report as a RandomInputable.

### setResolution

    void setResolution(int res)

  Set the Resolution of the printer.

### getResolution

    int getResolution()

  Get the Resolution of the printer.

### initFonts

    void initFonts()
                   throws java.io.IOException

  Init the true type fonts, if there are any.

  Throws:
    `java.io.IOException`

### makeChartDataset

    void makeChartDataset(int subIdx,
                          DSChartDataset set)

### sizeOfRecord

    int sizeOfRecord(int subIdx)

### getLinkedComm

    Communicator getLinkedComm(int idx)

  Return the linked communicator, begin from 1;

### getLinkedPage

    int getLinkedPage(int keyIdx)
                      throws JRStopEngineException

  Throws:
    `JRStopEngineException`

### getLinkedInfo

    java.lang.String getLinkedInfo(int keyIdx)

### getPhysicalTotalPageNum

    int getPhysicalTotalPageNum()

  If there are linked com inside, return the total page number plus the linked report.

### getLocale

    java.util.Locale getLocale()

  Gets current locale. For supporting NLS.

### getEncoding

    java.lang.String getEncoding()

  Gets current encoding. For supporting NLS.

### getTimeZone

    java.util.TimeZone getTimeZone()

  Gets current time zone. For support NLS.

### isPreDefinedCol

    boolean isPreDefinedCol()

### setPreDefinedCol

    void setPreDefinedCol(boolean isPreDefinedCol)

### isFastPass

    boolean isFastPass()

### getFastPassPage

    DSPage getFastPassPage(int pnum)
                           throws JRStopEngineException

  Throws:
    `JRStopEngineException`

### getLinkComms

    java.util.Vector getLinkComms()

### isMain

    boolean isMain(int subIdx)

### getDSTOC

    DSTOC getDSTOC()

### getParameterBuffer

    java.util.Hashtable getParameterBuffer()

### isBeStopping

    boolean isBeStopping()

  Returns:
    Returns the beStopping.

### setBeStopping

    void setBeStopping(boolean beStopping)

  Parameters:
    `beStopping` - The beStopping to set.

### getFieldNLSManager

    JFieldValueNLSManager getFieldNLSManager()

### getDirtyFieldInParagraphLayoutManager

    DirtyFieldInParagraphManager getDirtyFieldInParagraphLayoutManager()

### setDirtyFieldInParagraphLayoutManager

    void setDirtyFieldInParagraphLayoutManager(DirtyFieldInParagraphManager manager)

### isHighPrecision

    boolean isHighPrecision()

### getFromEncoding

    int getFromEncoding()

### getToEncoding

    int getToEncoding()

### getTotalRecordsOfQuery

    int getTotalRecordsOfQuery(int queryID,
                               boolean totalOrFetch)

### totalRecordsNull

    boolean totalRecordsNull()

### getTotalPageNumber

    int getTotalPageNumber(int dsIndex)

  return totalpagenumber according to dsIndex.

  Parameters:
    `dsIndex` -
  Returns:

### getparamsSting

    java.util.Hashtable getparamsSting()

  key is parameter and value is parameter value

  Returns:
    hashTable, added by QianZhenLian for requirement on dynamic chart featue

### isFinish

    boolean isFinish()

  Indicates whether it is finished.

  Returns:

### getFldSummaryInfo

    java.util.Hashtable getFldSummaryInfo(int subIdx,
                                          int templateIdx)

### getChartSummaryInfo

    java.util.Hashtable getChartSummaryInfo(int subIdx,
                                            int templateIdx)

### chartInDirtyPages

    boolean chartInDirtyPages(int pageNum)

### waitFinished

    void waitFinished()

### makeChartStringValue

    void makeChartStringValue(DSChartDataset set)

### getPageACL

    PageACL getPageACL()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD